@echo off

REM ------------------------------------------------------
REM install_All_MsHotfixes.bat
REM This bat file is to disable SMB 1 client and server 
REM	on VB10 Symbia.NET systems only
REM ------------------------------------------------------


SET SLEEP15=sleep 15
SET ERRORCODE=0
SET LOCAL_LOG_FILE=C:\temp\VS20A_HF01_LOG\install.log

@ECHO %~dpf0 Started at %DATE% %TIME% on host %COMPUTERNAME% >> %LOCAL_LOG_FILE%
@ECHO VB10A SYMBIA.NET specific install script to disable SMB1 >> %LOCAL_LOG_FILE%



mkdir C:\temp\VS20A_HF01_LOG

@FOR /F "delims=;" %%i in ('ver ^|findstr -i 6\.0') do @SET OSID=WIN7
@FOR /F "delims=;" %%i in ('ver ^|findstr -i 6\.1') do @SET OSID=WIN7

@IF "%OSID%"=="WIN7" (
	@ECHO Windows 7 64 bit installation detected >> %LOCAL_LOG_FILE%
) ELSE (
	@ECHO Windows 7 64 bit installation not detected. Installation will now exit without making any changes. >> %LOCAL_LOG_FILE%
	goto ERROR
)


REM disable SMB Server 1
@ECHO Disable SMB server ver 1 on the symbia.net systems >> %LOCAL_LOG_FILE%
reg add HKLM\SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters /v SMB1 /t REG_DWORD /d 0 /f
@echo checking if SMB1 set to 0 >> %LOCAL_LOG_FILE%
reg query HKLM\SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters /v SMB1  >> %LOCAL_LOG_FILE%
reg query HKLM\SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters /v SMB1 | find "0"
IF %errorlevel% == 0 (
	@ECHO SMB1 Server is set to disable >> %LOCAL_LOG_FILE%
) ELSE (
	@ECHO "There are some error(s) in the installation.  Installation could not disable SMB1 server. " >> %LOCAL_LOG_FILE%
	goto ERROR
)

REM disable SMB Client 1
@ECHO Disable SMB Client ver 1 on the symbia.net systems >> %LOCAL_LOG_FILE%
sc.exe config lanmanworkstation depend= bowser/mrxsmb20/nsi >> %LOCAL_LOG_FILE%
sc.exe config mrxsmb10 start= disabled >> %LOCAL_LOG_FILE%
IF %errorlevel% == 0 (
	@ECHO SMB Client 1 is disabled. >> %LOCAL_LOG_FILE%
) ELSE (
	@ECHO "There are some error(s) in the installation.  Installation could not disable SMB1 client. " >> %LOCAL_LOG_FILE%
	goto ERROR
)

@ECHO The batch file is returning with the errorcode as %ERRORCODE% >> %LOCAL_LOG_FILE%

goto End

:ERROR
@ECHO Error code 1 >> %LOCAL_LOG_FILE%
SET ERRORCODE=1


:END
EXIT /B %ERRORCODE%